Summary:          A distributed memory object cache
Name:             memcached
Version:          1.4.9
Release:          1%{?dist}%{?pext}
License:          BSD
Group:            System Environment/Daemons
Source0:          http://%{name}.googlecode.com/files/%{name}-%{version}.tar.gz
Source1:          %{name}.init
Source2:          %{name}.sysconfig
Patch0:           %{name}-1.4.5-testsuite.patch
URL:              http://%{name}.org/
Buildroot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:           Brad Fitzpatrick <brad@danga.com>
Requires(pre):    /usr/sbin/groupadd /usr/sbin/useradd
Requires(post):   /sbin/chkconfig
Requires(preun):  /sbin/chkconfig /sbin/service
Requires(postun): /sbin/service
BuildRequires:    cyrus-sasl cyrus-sasl-md5 cyrus-sasl-plain
BuildRequires:    cyrus-sasl-devel libevent-devel


%description
Memcached is a high-performance, distributed memory object caching system,
generic in nature, but primarily intended for use in speeding up dynamic
web applications by alleviating database load.


%prep
%setup -q
%patch0 -p1


%build
%configure \
	--bindir=%{_sbindir} \
	--enable-sasl        \
	--enable-sasl-pwdb   \
	--disable-docs

%{__make} %{?_smp_mflags}


%check
# XXX: SASL_CONF_PATH not honored (fails mech_list test)
%{?el4:%{__rm} t/binary-sasl.t}
[ -x %{_bindir}/prove ] && %{__make} test


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_initrddir}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_sysconfdir}/sysconfig
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_bindir}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_localstatedir}/run/%{name}

%{__make} \
	DESTDIR=${RPM_BUILD_ROOT} \
	install

%{__install} -m 0755 %{SOURCE1}    ${RPM_BUILD_ROOT}%{_initrddir}/%{name}
%{__install} -m 0644 %{SOURCE2}    ${RPM_BUILD_ROOT}%{_sysconfdir}/sysconfig/%{name}

%{__install} -m 0755 %{name}-debug ${RPM_BUILD_ROOT}%{_sbindir}

%{__install} -m 0755 scripts/*tool ${RPM_BUILD_ROOT}%{_bindir}


%pre
if ! getent group  %{name} >/dev/null 2>&1; then
  /usr/sbin/groupadd -r %{name}
fi
if ! getent passwd %{name} >/dev/null 2>&1; then
  /usr/sbin/useradd  -r -g %{name}       \
	-d / -c "Memcached Service User" \
	-M -s /sbin/nologin %{name}
fi
exit 0			# Always pass


%post
/sbin/chkconfig --add %{name}


%preun
if [ $1 -eq 0 ]; then	# Remove
  /sbin/service %{name} stop >/dev/null 2>&1
  /sbin/chkconfig --del %{name}
fi


%postun
if [ $1 -ge 1 ]; then	# Upgrade
  /sbin/service %{name} condrestart >/dev/null 2>&1 || :
fi


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README
%doc --parents doc/CONTRIBUTORS doc/*.{txt,xml}
%{_initrddir}/%{name}
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}
%{_bindir}/%{name}-tool
%{_includedir}/%{name}
%{_sbindir}/%{name}
%{_sbindir}/%{name}-debug
%{_mandir}/man1/%{name}.1*
%attr(750,%{name},%{name}) %dir %{_localstatedir}/run/%{name}


%changelog
* Fri Oct 21 2011 Peter Pramberger <peterpramb@member.fsf.org> - 1.4.9-1
- New version (1.4.9)

* Tue Oct 04 2011 Peter Pramberger <peterpramb@member.fsf.org> - 1.4.8-1
- New version (1.4.8)

* Fri Sep 02 2011 Peter Pramberger <peterpramb@member.fsf.org> - 1.4.7-1
- New version (1.4.7)

* Tue Jul 19 2011 Peter Pramberger <peterpramb@member.fsf.org> - 1.4.6-1
- New version (1.4.6)

* Tue Jul 06 2010 Peter Pramberger <peterpramb@member.fsf.org> - 1.4.5-2
- Rebuild against new libevent version

* Fri Apr 09 2010 Peter Pramberger <peterpramb@member.fsf.org> - 1.4.5-1
- New version (1.4.5)

* Mon Nov 30 2009 Peter Pramberger <peterpramb@member.fsf.org> - 1.4.4-1
- New version (1.4.4)

* Mon Nov 09 2009 Peter Pramberger <peterpramb@member.fsf.org> - 1.4.3-1
- New version (1.4.3)

* Sun Oct 18 2009 Peter Pramberger <peterpramb@member.fsf.org> - 1.4.2-1
- New version (1.4.2)

* Sat Sep 05 2009 Peter Pramberger <peterpramb@member.fsf.org> - 1.4.1-1
- New version (1.4.1)

* Sun Aug 09 2009 Peter Pramberger <peterpramb@member.fsf.org> - 1.4.0-1
- Upgrade version (1.4.0)

* Tue Apr 14 2009 Peter Pramberger <peterpramb@member.fsf.org> - 1.2.8-1
- New version (1.2.8)

* Fri Apr 10 2009 Peter Pramberger <peterpramb@member.fsf.org> - 1.2.7-1
- New version (1.2.7)

* Wed Nov 05 2008 Peter Pramberger <peterpramb@member.fsf.org> - 1.2.6-1
- New version (1.2.6)

* Tue Oct 09 2007 peter.pramberger@member.fsf.org 1.2.2-3
- new libevent version (1.3e)

* Mon May 14 2007 peter.pramberger@member.fsf.org 1.2.2-2
- created
